/* Header for .XA playback routines
*
*	CHANGED		PROGRAMMER		REASON
*	-------  	----------		------
*	11/10/98	Mike Kav		Created
*
*/									
#ifndef _XAPLAY_H
#define _XAPLAY_H

#define NUMCHANNELS	16

typedef struct {
	char*	filename; 					// filename, for ease of use.
	int		startpos;					// start position of file
	int		stoppos;					// stop position of file
	int		currentpos;					// current position when playing channel
	char*	channelName[NUMCHANNELS];	// set of strings describing the channels (not really needed)
} XAFILE;

//	XA Handling Prototypes

void    PlayXAChannel(int startPos,int stopPos,int channel);
void    StopXAChannel(void);
CdlCB   PrepareXA(void);
void    UnprepareXA(CdlCB oldCallback);
int     PlayingXA(void);
void    CdReadyCallBackFunc(int intr, u_char *result);
void    DataReadyCallBackFunc(void);

int cnt,datacnt;

#endif	 

